// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: ShakingControl.proto
#pragma warning disable 1591
#region Designer generated code

using System;
using System.Threading;
using System.Threading.Tasks;
using grpc = global::Grpc.Core;

namespace Sila2.De.Equicon.Mixing.Shakingcontrol.V1 {
  public static partial class ShakingControl
  {
    static readonly string __ServiceName = "sila2.de.equicon.mixing.shakingcontrol.v1.ShakingControl";

    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters> __Marshaller_Shake_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.CommandConfirmation> __Marshaller_CommandConfirmation = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.CommandConfirmation.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.CommandExecutionUUID> __Marshaller_CommandExecutionUUID = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.CommandExecutionUUID.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.ExecutionInfo> __Marshaller_ExecutionInfo = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.ExecutionInfo.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses> __Marshaller_Shake_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters> __Marshaller_StopShaking_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses> __Marshaller_StopShaking_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses.Parser.ParseFrom);

    static readonly grpc::Method<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters, global::Sila2.Org.Silastandard.CommandConfirmation> __Method_Shake = new grpc::Method<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters, global::Sila2.Org.Silastandard.CommandConfirmation>(
        grpc::MethodType.Unary,
        __ServiceName,
        "Shake",
        __Marshaller_Shake_Parameters,
        __Marshaller_CommandConfirmation);

    static readonly grpc::Method<global::Sila2.Org.Silastandard.CommandExecutionUUID, global::Sila2.Org.Silastandard.ExecutionInfo> __Method_Shake_State = new grpc::Method<global::Sila2.Org.Silastandard.CommandExecutionUUID, global::Sila2.Org.Silastandard.ExecutionInfo>(
        grpc::MethodType.ServerStreaming,
        __ServiceName,
        "Shake_State",
        __Marshaller_CommandExecutionUUID,
        __Marshaller_ExecutionInfo);

    static readonly grpc::Method<global::Sila2.Org.Silastandard.CommandExecutionUUID, global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses> __Method_Shake_Result = new grpc::Method<global::Sila2.Org.Silastandard.CommandExecutionUUID, global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "Shake_Result",
        __Marshaller_CommandExecutionUUID,
        __Marshaller_Shake_Responses);

    static readonly grpc::Method<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters, global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses> __Method_StopShaking = new grpc::Method<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters, global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "StopShaking",
        __Marshaller_StopShaking_Parameters,
        __Marshaller_StopShaking_Responses);

    /// <summary>Service descriptor</summary>
    public static global::Google.Protobuf.Reflection.ServiceDescriptor Descriptor
    {
      get { return global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.ShakingControlReflection.Descriptor.Services[0]; }
    }

    /// <summary>Base class for server-side implementations of ShakingControl</summary>
    public abstract partial class ShakingControlBase
    {
      public virtual global::System.Threading.Tasks.Task<global::Sila2.Org.Silastandard.CommandConfirmation> Shake(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task Shake_State(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::IServerStreamWriter<global::Sila2.Org.Silastandard.ExecutionInfo> responseStream, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses> Shake_Result(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses> StopShaking(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

    }

    /// <summary>Client for ShakingControl</summary>
    public partial class ShakingControlClient : grpc::ClientBase<ShakingControlClient>
    {
      /// <summary>Creates a new client for ShakingControl</summary>
      /// <param name="channel">The channel to use to make remote calls.</param>
      public ShakingControlClient(grpc::Channel channel) : base(channel)
      {
      }
      /// <summary>Creates a new client for ShakingControl that uses a custom <c>CallInvoker</c>.</summary>
      /// <param name="callInvoker">The callInvoker to use to make remote calls.</param>
      public ShakingControlClient(grpc::CallInvoker callInvoker) : base(callInvoker)
      {
      }
      /// <summary>Protected parameterless constructor to allow creation of test doubles.</summary>
      protected ShakingControlClient() : base()
      {
      }
      /// <summary>Protected constructor to allow creation of configured clients.</summary>
      /// <param name="configuration">The client configuration.</param>
      protected ShakingControlClient(ClientBaseConfiguration configuration) : base(configuration)
      {
      }

      public virtual global::Sila2.Org.Silastandard.CommandConfirmation Shake(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Shake(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.Org.Silastandard.CommandConfirmation Shake(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_Shake, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.CommandConfirmation> ShakeAsync(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return ShakeAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.CommandConfirmation> ShakeAsync(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_Shake, null, options, request);
      }
      public virtual grpc::AsyncServerStreamingCall<global::Sila2.Org.Silastandard.ExecutionInfo> Shake_State(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Shake_State(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncServerStreamingCall<global::Sila2.Org.Silastandard.ExecutionInfo> Shake_State(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncServerStreamingCall(__Method_Shake_State, null, options, request);
      }
      public virtual global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses Shake_Result(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Shake_Result(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses Shake_Result(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_Shake_Result, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses> Shake_ResultAsync(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Shake_ResultAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.Shake_Responses> Shake_ResultAsync(global::Sila2.Org.Silastandard.CommandExecutionUUID request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_Shake_Result, null, options, request);
      }
      public virtual global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses StopShaking(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return StopShaking(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses StopShaking(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_StopShaking, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses> StopShakingAsync(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return StopShakingAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Responses> StopShakingAsync(global::Sila2.De.Equicon.Mixing.Shakingcontrol.V1.StopShaking_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_StopShaking, null, options, request);
      }
      /// <summary>Creates a new instance of client from given <c>ClientBaseConfiguration</c>.</summary>
      protected override ShakingControlClient NewInstance(ClientBaseConfiguration configuration)
      {
        return new ShakingControlClient(configuration);
      }
    }

    /// <summary>Creates service definition that can be registered with a server</summary>
    /// <param name="serviceImpl">An object implementing the server-side handling logic.</param>
    public static grpc::ServerServiceDefinition BindService(ShakingControlBase serviceImpl)
    {
      return grpc::ServerServiceDefinition.CreateBuilder()
          .AddMethod(__Method_Shake, serviceImpl.Shake)
          .AddMethod(__Method_Shake_State, serviceImpl.Shake_State)
          .AddMethod(__Method_Shake_Result, serviceImpl.Shake_Result)
          .AddMethod(__Method_StopShaking, serviceImpl.StopShaking).Build();
    }

  }
}
#endregion
